Track = {
	x = 0; y = 0;
	width = 16;
	height = 16;
}

function Track:init(x, y)
	self.x, self.y = x, y
	self.width = 16 * math.random(5, 20)
end

function Track:update(dt)
	self.x = self.x - TRACK_SPEED * dt
end

function Track:draw()
	for x=self.x, self.x + self.width - 1, Images.beam:getWidth() do
		for y=self.y, Window.height, self.height do
			love.graphics.draw(Images.beam, x, y)
		end
	end
	for x=self.x, self.x + self.width - 1, 16 do
		love.graphics.draw(Images.track, x, self.y - 2)
		love.graphics.draw(Images.platform, x, self.y + 2)
	end
end
